### org.jfree.layouting.layouter.context

# Interface LayoutStyle

Known Subinterfaces:
  LayoutContext

Known Implementing Classes:
  DefaultLayoutContext, LayoutStyleImpl

`public interface LayoutStyle`

Creation-Date: 18.11.2006, 18:55:03

Author:
  Thomas Morgner

  ## Method Summary

  `boolean`

  `copyFrom(LayoutStyle style)`

  `CSSValue`

  `getValue(StyleKey key)`

  `void`

  `setValue(StyleKey key, CSSValue value)`

## Method Details

### copyFrom

    public boolean copyFrom(LayoutStyle style)

### getValue

    public CSSValue getValue(StyleKey key)

### setValue

    public void setValue(StyleKey key,
                         CSSValue value)